﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WebServiceAdditionTester.net.webservicex.www;

namespace WebServiceAdditionTester
{
    public partial class Form1 : Form
    {
        private static ConvertTemperature convertion = new ConvertTemperature();
        
        public Form1()
        {
            InitializeComponent();

            // How often the Timer will tick (5 seconds)
            this.timer1.Interval = 5000;

            this.button1.Text = "Timer Enabled " + this.timer1.Enabled;
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            using (new WaitCursor())
            {
                this.label3.Text = convertion.ConvertTemp(double.Parse(this.textBox1.Text),
                    TemperatureUnit.degreeCelsius,
                    TemperatureUnit.degreeFahrenheit).ToString();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            this.timer1.Enabled = false;

            this.label3.Text = convertion.ConvertTemp(double.Parse(this.textBox1.Text),
                TemperatureUnit.degreeCelsius,
                TemperatureUnit.degreeFahrenheit).ToString();

            this.timer1.Enabled = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.timer1.Enabled = true;

            this.button1.Text = "Timer Enabled " + this.timer1.Enabled;
        }
    }
}